> For the complete documentation index, see [llms.txt](https://developer.smarts.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.smarts.ee/general/data-object-description/discountoffer.md).

# DiscountOffer

### Object description

| Field              | Type                                                             | Required | Description                        |
| ------------------ | ---------------------------------------------------------------- | -------- | ---------------------------------- |
| id                 | String                                                           | Yes      | Offer identifier                   |
| title              | [Translatable](/general/data-object-description/translatable.md) | Yes      | Offer title                        |
| startDate          | String                                                           | No       | Offer start date format YYYY-MM-DD |
| endDate            | String                                                           | No       | Offer end date format YYYY-MM-DD   |
| type               | [OfferType](/general/data-object-description/offertype.md)       | Yes      | Offer type = DISCOUNT              |
| imageUri           | String                                                           | Yes      | Offer image location               |
| discountPercentage | int                                                              | Yes      | Discount percentage                |
| offerPrice         | double                                                           | Yes      | Discount product price             |
| defaultPrice       | double                                                           | Yes      | Standard product price             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.smarts.ee/general/data-object-description/discountoffer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
